Get schema name

- « Schema::getCollections

- Schema::getSession »

- PHP Manual
- mysql_xdevapi\Schema
- Get schema name

# Schema::getName

(No version information available, might only be in Git)

Schema::getName — Get schema name

### Description

public mysql_xdevapi\Schema::getName(): string

Get the name of the schema.

### Parameters

This function has no parameters.

### Return Values

The name of the schema connected to the schema object, as a string.

### Examples

Example #1 mysql_xdevapi\Schema::getName() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
    $session->sql("DROP DATABASE IF EXISTS addressbook")->execute();
    $session->sql("CREATE DATABASE addressbook")->execute();

    $schema  = $session->getSchema("addressbook");

    // ...

    var_dump($schema->getName());
    ?>

The above example will output something similar to:

    string(11) "addressbook"